{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "passit": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist",
            "index": "src/index.html",
            "main": "src/main.ts",
            "tsConfig": "src/tsconfig.app.json",
            "polyfills": "src/polyfills.ts",
            "assets": [
              "src/assets",
              "src/manifest.json",
              "src/favicon.ico",
              {
                "glob": "browser-polyfill.min.js",
                "input": "node_modules/webextension-polyfill/dist",
                "output": "/"
              },
              {
                "glob": "inject.js",
                "input": "src/app/extension/form-fill/dist",
                "output": "/"
              }
            ],
            "styles": ["src/styles.scss"],
            "scripts": []
          },
          "configurations": {
            "production": {
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                },
                {
                  "replace": "src/polyfills.ts",
                  "with": "src/polyfills.ext.ts"
                },
                {
                  "replace": "src/app/store-devtools.ts",
                  "with": "src/app/store-devtools.prod.ts"
                }
              ]
            },
            "extension": {
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "index": {
                "input": "src/index.ext.html",
                "output": "index.html"
              },
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.extension.ts"
                },
                {
                  "replace": "src/polyfills.ts",
                  "with": "src/polyfills.ext.ts"
                }
              ]
            },
            "dev-extension": {
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "extractCss": true,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": false,
              "serviceWorker": true,
              "ngswConfigPath": "src/ngsw-config.json",
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.extension.ts"
                },
                {
                  "replace": "src/polyfills.ts",
                  "with": "src/polyfills.ext.ts"
                },
                {
                  "replace": "src/index.html",
                  "with": "src/index.ext.html"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "passit:build"
          },
          "configurations": {
            "production": {
              "browserTarget": "passit:build:production"
            },
            "docker": {
              "browserTarget": "passit:build:docker"
            },
            "extension": {
              "browserTarget": "passit:build:extension"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "passit:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "karmaConfig": "./karma.conf.js",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "scripts": [],
            "styles": ["src/styles.scss"],
            "assets": [
              "src/assets",
              "src/manifest.json",
              "src/favicon.ico",
              {
                "glob": "browser-polyfill.min.js",
                "input": "node_modules/webextension-polyfill/dist",
                "output": "/"
              }
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": ["src/tsconfig.app.json", "src/tsconfig.spec.json"],
            "exclude": ["**/node_modules/**/*"]
          }
        }
      }
    },
    "passit-e2e": {
      "root": "e2e/",
      "sourceRoot": "",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "passit:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "passit:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": ["e2e/tsconfig.e2e.json"],
            "exclude": ["**/node_modules/**/*"]
          }
        }
      }
    }
  },
  "defaultProject": "passit",
  "schematics": {
    "@schematics/angular:component": {
      "prefix": "app",
      "styleext": "scss",
      "changeDetection": "OnPush"
    },
    "@schematics/angular:directive": {
      "prefix": "app"
    },
    "@schematics/angular": {
      "component": {
        "spec": false,
        "changeDetection": "OnPush"
      }
    }
  },
  "cli": {
    "defaultCollection": "@nativescript/schematics"
  }
}
